org.apache.cassandra.db

## Class RangeTombstone.Tracker

- java.lang.Object
- - org.apache.cassandra.db.RangeTombstone.Tracker

- Enclosing class:
    RangeTombstone

      public static class RangeTombstone.Tracker
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeTombstone.Tracker(java.util.Comparator<java.nio.ByteBuffer> comparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDeleted(IColumn column)`
    `void` | `update(OnDiskAtom atom)` Update this tracker given an `atom`.
    `long` | `writeOpenedMarker(OnDiskAtom firstColumn, java.io.DataOutput out, OnDiskAtom.Serializer atomSerializer)` Compute RangeTombstone that are needed at the beginning of an index block starting with `firstColumn`.
    `int` | `writtenAtom()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeTombstone.Tracker

          public RangeTombstone.Tracker(java.util.Comparator<java.nio.ByteBuffer> comparator)

  - ### Method Detail

    - #### writeOpenedMarker

          public long writeOpenedMarker(OnDiskAtom firstColumn,
                               java.io.DataOutput out,
                               OnDiskAtom.Serializer atomSerializer)
                                 throws java.io.IOException

      Compute RangeTombstone that are needed at the beginning of an index block starting with `firstColumn`. Returns the total serialized size of said tombstones and write them to `out` it if isn't null.
      Throws:
        `java.io.IOException`

    - #### writtenAtom

          public int writtenAtom()

    - #### update

          public void update(OnDiskAtom atom)

      Update this tracker given an `atom`. If column is a IColumn, check if any tracked range is useless and can be removed. If it is a RangeTombstone, add it to this tracker.

    - #### isDeleted

          public boolean isDeleted(IColumn column)

Copyright © 2014 The Apache Software Foundation